creativereason creativereason - 19 days ago 6x
Ruby Question

How to keep running Capistrano 2

With Capistrano 3 out and Mavericks and Yosemite released... or if you had a recent clean install on of Rails and Capistrano on your development machine you may end up getting errors when trying to deploy a Rails 3.X app due to your machine having Capistrano 3.0 being installed.

If you are getting errors about Capistrano 3 being unable to read your deploy.rb file...


In your Gemfile, change your reference to Capistrano to the last version published in 2.0 (as of this writing).

group :development do
  gem 'capistrano', '~> 2.15.9'
  #other development gems...

On your local machine, make sure you have that version installed

gem install capistrano -v 2.15.9